Skip to main content
POST
/
public
/
v1
/
campaign-service
/
json-templates
Create Json Template
curl --request POST \
  --url https://api.topsort.com/public/v1/campaign-service/json-templates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "jsonSchema": {},
  "previewScreenshot": "<string>",
  "adFormat": "banner",
  "previewUrl": "<string>"
}
'
import requests

url = "https://api.topsort.com/public/v1/campaign-service/json-templates"

payload = {
"name": "<string>",
"description": "<string>",
"jsonSchema": {},
"previewScreenshot": "<string>",
"adFormat": "banner",
"previewUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
jsonSchema: {},
previewScreenshot: '<string>',
adFormat: 'banner',
previewUrl: '<string>'
})
};

fetch('https://api.topsort.com/public/v1/campaign-service/json-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "jsonSchema": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "isArchived": false,
  "previewScreenshot": "<string>",
  "previewUrl": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Body

application/json
name
string
required

Unique name of the JSON template

Required string length: 1 - 50
description
string
required

Description of the JSON template

Required string length: 1 - 100
jsonSchema
Jsonschema · object
required

A JSON object that defines a schema according to draft-07 of the JSON Schema specification.

Example:
{
"$schema": "http://json-schema.org/draft-07/schema#",
"properties": {
"title": {
"maxLength": 100,
"minLength": 1,
"type": "string"
}
},
"required": ["title"],
"type": "object"
}
previewScreenshot
string<uri> | null

Preview screenshot of the JSON template

Required string length: 1 - 2083
adFormat
enum<string> | null
default:banner

AdFormat this template is for

Available options:
banner,
sponsored_brand
previewUrl
string<uri> | null

Preview URL of the JSON template

Required string length: 1 - 2083

Response

Successful Response

id
string<uuid>
required

The ID of the JSON template

marketplaceId
string<uuid>
required

The ID of the marketplace

name
string
required

The name of the JSON template

description
string
required

The description of the JSON template

jsonSchema
Jsonschema · object
required

The JSON schema of the JSON template

createdAt
string<date-time>
required

The creation time of the JSON template

updatedAt
string<date-time>
required

The update time of the JSON template

adFormat
enum<string>
required

The ad format of the JSON template

Available options:
banner,
sponsored_brand
isArchived
boolean
default:false

Whether the JSON template is archived

previewScreenshot
string<uri> | null

Preview screenshot of the JSON template

Required string length: 1 - 2083
previewUrl
string<uri> | null

Preview URL of the JSON template

Required string length: 1 - 2083